Package com.sap.ai.sdk.core.model

# Class AiDeployment

java.lang.Object
com.sap.ai.sdk.core.model.AiDeployment

public class AiDeployment extends Object
Detailed data about a deployment

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AiDeployment.Builder`
  Builder helper class.
  `static interface`
  `AiDeployment.Builder1`
  Builder helper class.
  `static interface`
  `AiDeployment.Builder2`
  Builder helper class.
  `static interface`
  `AiDeployment.Builder3`
  Builder helper class.
  `static interface`
  `AiDeployment.Builder4`
  Builder helper class.
  `static enum`
  `AiDeployment.LastOperationEnum`
  Last operation applied to this deployment.
  `static enum`
  `AiDeployment.TargetStatusEnum`
  Deployment target status

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiDeployment()`
  Default constructor for AiDeployment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AiDeployment`
  `completionTime(OffsetDateTime completionTime)`
  Set the completionTime of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `configurationId(String configurationId)`
  Set the configurationId of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `configurationName(String configurationName)`
  Set the configurationName of this `AiDeployment` instance and return the same instance.
  `static AiDeployment.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AiDeployment` instance with all required arguments.
  `AiDeployment`
  `createdAt(OffsetDateTime createdAt)`
  Set the createdAt of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `deploymentUrl(String deploymentUrl)`
  Set the deploymentUrl of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `details(AiDeploymentDetails details)`
  Set the details of this `AiDeployment` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `AiDeployment`
  `executableId(String executableId)`
  Set the executableId of this `AiDeployment` instance and return the same instance.
  `OffsetDateTime`
  `getCompletionTime()`
  Timestamp of job status changed to COMPLETED/DEAD/STOPPED
  `String`
  `getConfigurationId()`
  ID of the configuration
  `String`
  `getConfigurationName()`
  Name of the configuration
  `OffsetDateTime`
  `getCreatedAt()`
  Timestamp of resource creation
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiDeployment`.
  `String`
  `getDeploymentUrl()`
  Consumption URL of the deployment
  `AiDeploymentDetails`
  `getDetails()`
  Get details
  `String`
  `getExecutableId()`
  ID of the executable
  `String`
  `getId()`
  ID of the deployment
  `AiDeployment.LastOperationEnum`
  `getLastOperation()`
  Last operation applied to this deployment.
  `String`
  `getLatestRunningConfigurationId()`
  configurationId that was running before a PATCH operation has modified the configurationId of the deployment.
  `OffsetDateTime`
  `getModifiedAt()`
  Timestamp of latest resource modification
  `String`
  `getScenarioId()`
  ID of the scenario
  `OffsetDateTime`
  `getStartTime()`
  Timestamp of job status changed to RUNNING
  `AiDeploymentStatus`
  `getStatus()`
  Get status
  `String`
  `getStatusMessage()`
  Deployment status message
  `OffsetDateTime`
  `getSubmissionTime()`
  Timestamp of job submitted
  `AiDeployment.TargetStatusEnum`
  `getTargetStatus()`
  Deployment target status
  `String`
  `getTtl()`
  Time to live for a deployment.
  `int`
  `hashCode()`
  `AiDeployment`
  `id(String id)`
  Set the id of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `lastOperation(AiDeployment.LastOperationEnum lastOperation)`
  Set the lastOperation of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `latestRunningConfigurationId(String latestRunningConfigurationId)`
  Set the latestRunningConfigurationId of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `modifiedAt(OffsetDateTime modifiedAt)`
  Set the modifiedAt of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `scenarioId(String scenarioId)`
  Set the scenarioId of this `AiDeployment` instance and return the same instance.
  `void`
  `setCompletionTime(OffsetDateTime completionTime)`
  Set the completionTime of this `AiDeployment` instance.
  `void`
  `setConfigurationId(String configurationId)`
  Set the configurationId of this `AiDeployment` instance.
  `void`
  `setConfigurationName(String configurationName)`
  Set the configurationName of this `AiDeployment` instance.
  `void`
  `setCreatedAt(OffsetDateTime createdAt)`
  Set the createdAt of this `AiDeployment` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiDeployment` instance.
  `void`
  `setDeploymentUrl(String deploymentUrl)`
  Set the deploymentUrl of this `AiDeployment` instance.
  `void`
  `setDetails(AiDeploymentDetails details)`
  Set the details of this `AiDeployment` instance.
  `void`
  `setExecutableId(String executableId)`
  Set the executableId of this `AiDeployment` instance.
  `void`
  `setId(String id)`
  Set the id of this `AiDeployment` instance.
  `void`
  `setLastOperation(AiDeployment.LastOperationEnum lastOperation)`
  Set the lastOperation of this `AiDeployment` instance.
  `void`
  `setLatestRunningConfigurationId(String latestRunningConfigurationId)`
  Set the latestRunningConfigurationId of this `AiDeployment` instance.
  `void`
  `setModifiedAt(OffsetDateTime modifiedAt)`
  Set the modifiedAt of this `AiDeployment` instance.
  `void`
  `setScenarioId(String scenarioId)`
  Set the scenarioId of this `AiDeployment` instance.
  `void`
  `setStartTime(OffsetDateTime startTime)`
  Set the startTime of this `AiDeployment` instance.
  `void`
  `setStatus(AiDeploymentStatus status)`
  Set the status of this `AiDeployment` instance.
  `void`
  `setStatusMessage(String statusMessage)`
  Set the statusMessage of this `AiDeployment` instance.
  `void`
  `setSubmissionTime(OffsetDateTime submissionTime)`
  Set the submissionTime of this `AiDeployment` instance.
  `void`
  `setTargetStatus(AiDeployment.TargetStatusEnum targetStatus)`
  Set the targetStatus of this `AiDeployment` instance.
  `void`
  `setTtl(String ttl)`
  Set the ttl of this `AiDeployment` instance.
  `AiDeployment`
  `startTime(OffsetDateTime startTime)`
  Set the startTime of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `status(AiDeploymentStatus status)`
  Set the status of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `statusMessage(String statusMessage)`
  Set the statusMessage of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `submissionTime(OffsetDateTime submissionTime)`
  Set the submissionTime of this `AiDeployment` instance and return the same instance.
  `AiDeployment`
  `targetStatus(AiDeployment.TargetStatusEnum targetStatus)`
  Set the targetStatus of this `AiDeployment` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiDeployment` instance including unrecognized properties.
  `String`
  `toString()`
  `AiDeployment`
  `ttl(String ttl)`
  Set the ttl of this `AiDeployment` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiDeployment

    protected AiDeployment()
    Default constructor for AiDeployment.

- ## Method Details

  - ### id

    @Nonnull public AiDeployment id(@Nonnull String id)
    Set the id of this `AiDeployment` instance and return the same instance.
    Parameters:
      `id` - ID of the deployment
    Returns:
      The same instance of this `AiDeployment` class

  - ### getId

    @Nonnull public String getId()
    ID of the deployment
    Returns:
      id The id of this `AiDeployment` instance.

  - ### setId

    public void setId(@Nonnull String id)
    Set the id of this `AiDeployment` instance.
    Parameters:
      `id` - ID of the deployment

  - ### deploymentUrl

    @Nonnull public AiDeployment deploymentUrl(@Nullable String deploymentUrl)
    Set the deploymentUrl of this `AiDeployment` instance and return the same instance.
    Parameters:
      `deploymentUrl` - Consumption URL of the deployment
    Returns:
      The same instance of this `AiDeployment` class

  - ### getDeploymentUrl

    @Nonnull public String getDeploymentUrl()
    Consumption URL of the deployment
    Returns:
      deploymentUrl The deploymentUrl of this `AiDeployment` instance.

  - ### setDeploymentUrl

    public void setDeploymentUrl(@Nullable String deploymentUrl)
    Set the deploymentUrl of this `AiDeployment` instance.
    Parameters:
      `deploymentUrl` - Consumption URL of the deployment

  - ### configurationId

    @Nonnull public AiDeployment configurationId(@Nonnull String configurationId)
    Set the configurationId of this `AiDeployment` instance and return the same instance.
    Parameters:
      `configurationId` - ID of the configuration
    Returns:
      The same instance of this `AiDeployment` class

  - ### getConfigurationId

    @Nonnull public String getConfigurationId()
    ID of the configuration
    Returns:
      configurationId The configurationId of this `AiDeployment` instance.

  - ### setConfigurationId

    public void setConfigurationId(@Nonnull String configurationId)
    Set the configurationId of this `AiDeployment` instance.
    Parameters:
      `configurationId` - ID of the configuration

  - ### configurationName

    @Nonnull public AiDeployment configurationName(@Nullable String configurationName)
    Set the configurationName of this `AiDeployment` instance and return the same instance.
    Parameters:
      `configurationName` - Name of the configuration
    Returns:
      The same instance of this `AiDeployment` class

  - ### getConfigurationName

    @Nonnull public String getConfigurationName()
    Name of the configuration
    Returns:
      configurationName The configurationName of this `AiDeployment` instance.

  - ### setConfigurationName

    public void setConfigurationName(@Nullable String configurationName)
    Set the configurationName of this `AiDeployment` instance.
    Parameters:
      `configurationName` - Name of the configuration

  - ### executableId

    @Nonnull public AiDeployment executableId(@Nullable String executableId)
    Set the executableId of this `AiDeployment` instance and return the same instance.
    Parameters:
      `executableId` - ID of the executable
    Returns:
      The same instance of this `AiDeployment` class

  - ### getExecutableId

    @Nonnull public String getExecutableId()
    ID of the executable
    Returns:
      executableId The executableId of this `AiDeployment` instance.

  - ### setExecutableId

    public void setExecutableId(@Nullable String executableId)
    Set the executableId of this `AiDeployment` instance.
    Parameters:
      `executableId` - ID of the executable

  - ### scenarioId

    @Nonnull public AiDeployment scenarioId(@Nullable String scenarioId)
    Set the scenarioId of this `AiDeployment` instance and return the same instance.
    Parameters:
      `scenarioId` - ID of the scenario
    Returns:
      The same instance of this `AiDeployment` class

  - ### getScenarioId

    @Nonnull public String getScenarioId()
    ID of the scenario
    Returns:
      scenarioId The scenarioId of this `AiDeployment` instance.

  - ### setScenarioId

    public void setScenarioId(@Nullable String scenarioId)
    Set the scenarioId of this `AiDeployment` instance.
    Parameters:
      `scenarioId` - ID of the scenario

  - ### status

    @Nonnull public AiDeployment status(@Nonnull AiDeploymentStatus status)
    Set the status of this `AiDeployment` instance and return the same instance.
    Parameters:
      `status` - The status of this `AiDeployment`
    Returns:
      The same instance of this `AiDeployment` class

  - ### getStatus

    @Nonnull public AiDeploymentStatus getStatus()
    Get status
    Returns:
      status The status of this `AiDeployment` instance.

  - ### setStatus

    public void setStatus(@Nonnull AiDeploymentStatus status)
    Set the status of this `AiDeployment` instance.
    Parameters:
      `status` - The status of this `AiDeployment`

  - ### statusMessage

    @Nonnull public AiDeployment statusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `AiDeployment` instance and return the same instance.
    Parameters:
      `statusMessage` - Deployment status message
    Returns:
      The same instance of this `AiDeployment` class

  - ### getStatusMessage

    @Nonnull public String getStatusMessage()
    Deployment status message
    Returns:
      statusMessage The statusMessage of this `AiDeployment` instance.

  - ### setStatusMessage

    public void setStatusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `AiDeployment` instance.
    Parameters:
      `statusMessage` - Deployment status message

  - ### targetStatus

    @Nonnull public AiDeployment targetStatus(@Nullable AiDeployment.TargetStatusEnum targetStatus)
    Set the targetStatus of this `AiDeployment` instance and return the same instance.
    Parameters:
      `targetStatus` - Deployment target status
    Returns:
      The same instance of this `AiDeployment` class

  - ### getTargetStatus

    @Nonnull public AiDeployment.TargetStatusEnum getTargetStatus()
    Deployment target status
    Returns:
      targetStatus The targetStatus of this `AiDeployment` instance.

  - ### setTargetStatus

    public void setTargetStatus(@Nullable AiDeployment.TargetStatusEnum targetStatus)
    Set the targetStatus of this `AiDeployment` instance.
    Parameters:
      `targetStatus` - Deployment target status

  - ### lastOperation

    @Nonnull public AiDeployment lastOperation(@Nullable AiDeployment.LastOperationEnum lastOperation)
    Set the lastOperation of this `AiDeployment` instance and return the same instance.
    Parameters:
      `lastOperation` - Last operation applied to this deployment.
    Returns:
      The same instance of this `AiDeployment` class

  - ### getLastOperation

    @Nullable public AiDeployment.LastOperationEnum getLastOperation()
    Last operation applied to this deployment.
    Returns:
      lastOperation The lastOperation of this `AiDeployment` instance.

  - ### setLastOperation

    public void setLastOperation(@Nullable AiDeployment.LastOperationEnum lastOperation)
    Set the lastOperation of this `AiDeployment` instance.
    Parameters:
      `lastOperation` - Last operation applied to this deployment.

  - ### latestRunningConfigurationId

    @Nonnull public AiDeployment latestRunningConfigurationId(@Nullable String latestRunningConfigurationId)
    Set the latestRunningConfigurationId of this `AiDeployment` instance and return the same instance.
    Parameters:
      `latestRunningConfigurationId` - configurationId that was running before a PATCH operation has modified the configurationId of the deployment. This can be used for a manual rollback in case the new configurationId results in a DEAD deployment
    Returns:
      The same instance of this `AiDeployment` class

  - ### getLatestRunningConfigurationId

    @Nonnull public String getLatestRunningConfigurationId()
    configurationId that was running before a PATCH operation has modified the configurationId of the deployment. This can be used for a manual rollback in case the new configurationId results in a DEAD deployment
    Returns:
      latestRunningConfigurationId The latestRunningConfigurationId of this `AiDeployment` instance.

  - ### setLatestRunningConfigurationId

    public void setLatestRunningConfigurationId(@Nullable String latestRunningConfigurationId)
    Set the latestRunningConfigurationId of this `AiDeployment` instance.
    Parameters:
      `latestRunningConfigurationId` - configurationId that was running before a PATCH operation has modified the configurationId of the deployment. This can be used for a manual rollback in case the new configurationId results in a DEAD deployment

  - ### ttl

    @Nonnull public AiDeployment ttl(@Nullable String ttl)
    Set the ttl of this `AiDeployment` instance and return the same instance.
    Parameters:
      `ttl` - Time to live for a deployment. Its value can be either null or a number followed by the unit (any of following values, minutes(m|M), hours(h|H) or days(d|D))
    Returns:
      The same instance of this `AiDeployment` class

  - ### getTtl

    @Nullable public String getTtl()
    Time to live for a deployment. Its value can be either null or a number followed by the unit (any of following values, minutes(m|M), hours(h|H) or days(d|D))
    Returns:
      ttl The ttl of this `AiDeployment` instance.

  - ### setTtl

    public void setTtl(@Nullable String ttl)
    Set the ttl of this `AiDeployment` instance.
    Parameters:
      `ttl` - Time to live for a deployment. Its value can be either null or a number followed by the unit (any of following values, minutes(m|M), hours(h|H) or days(d|D))

  - ### details

    @Nonnull public AiDeployment details(@Nullable AiDeploymentDetails details)
    Set the details of this `AiDeployment` instance and return the same instance.
    Parameters:
      `details` - The details of this `AiDeployment`
    Returns:
      The same instance of this `AiDeployment` class

  - ### getDetails

    @Nonnull public AiDeploymentDetails getDetails()
    Get details
    Returns:
      details The details of this `AiDeployment` instance.

  - ### setDetails

    public void setDetails(@Nullable AiDeploymentDetails details)
    Set the details of this `AiDeployment` instance.
    Parameters:
      `details` - The details of this `AiDeployment`

  - ### createdAt

    @Nonnull public AiDeployment createdAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `AiDeployment` instance and return the same instance.
    Parameters:
      `createdAt` - Timestamp of resource creation
    Returns:
      The same instance of this `AiDeployment` class

  - ### getCreatedAt

    @Nonnull public OffsetDateTime getCreatedAt()
    Timestamp of resource creation
    Returns:
      createdAt The createdAt of this `AiDeployment` instance.

  - ### setCreatedAt

    public void setCreatedAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `AiDeployment` instance.
    Parameters:
      `createdAt` - Timestamp of resource creation

  - ### modifiedAt

    @Nonnull public AiDeployment modifiedAt(@Nonnull OffsetDateTime modifiedAt)
    Set the modifiedAt of this `AiDeployment` instance and return the same instance.
    Parameters:
      `modifiedAt` - Timestamp of latest resource modification
    Returns:
      The same instance of this `AiDeployment` class

  - ### getModifiedAt

    @Nonnull public OffsetDateTime getModifiedAt()
    Timestamp of latest resource modification
    Returns:
      modifiedAt The modifiedAt of this `AiDeployment` instance.

  - ### setModifiedAt

    public void setModifiedAt(@Nonnull OffsetDateTime modifiedAt)
    Set the modifiedAt of this `AiDeployment` instance.
    Parameters:
      `modifiedAt` - Timestamp of latest resource modification

  - ### submissionTime

    @Nonnull public AiDeployment submissionTime(@Nullable OffsetDateTime submissionTime)
    Set the submissionTime of this `AiDeployment` instance and return the same instance.
    Parameters:
      `submissionTime` - Timestamp of job submitted
    Returns:
      The same instance of this `AiDeployment` class

  - ### getSubmissionTime

    @Nonnull public OffsetDateTime getSubmissionTime()
    Timestamp of job submitted
    Returns:
      submissionTime The submissionTime of this `AiDeployment` instance.

  - ### setSubmissionTime

    public void setSubmissionTime(@Nullable OffsetDateTime submissionTime)
    Set the submissionTime of this `AiDeployment` instance.
    Parameters:
      `submissionTime` - Timestamp of job submitted

  - ### startTime

    @Nonnull public AiDeployment startTime(@Nullable OffsetDateTime startTime)
    Set the startTime of this `AiDeployment` instance and return the same instance.
    Parameters:
      `startTime` - Timestamp of job status changed to RUNNING
    Returns:
      The same instance of this `AiDeployment` class

  - ### getStartTime

    @Nonnull public OffsetDateTime getStartTime()
    Timestamp of job status changed to RUNNING
    Returns:
      startTime The startTime of this `AiDeployment` instance.

  - ### setStartTime

    public void setStartTime(@Nullable OffsetDateTime startTime)
    Set the startTime of this `AiDeployment` instance.
    Parameters:
      `startTime` - Timestamp of job status changed to RUNNING

  - ### completionTime

    @Nonnull public AiDeployment completionTime(@Nullable OffsetDateTime completionTime)
    Set the completionTime of this `AiDeployment` instance and return the same instance.
    Parameters:
      `completionTime` - Timestamp of job status changed to COMPLETED/DEAD/STOPPED
    Returns:
      The same instance of this `AiDeployment` class

  - ### getCompletionTime

    @Nonnull public OffsetDateTime getCompletionTime()
    Timestamp of job status changed to COMPLETED/DEAD/STOPPED
    Returns:
      completionTime The completionTime of this `AiDeployment` instance.

  - ### setCompletionTime

    public void setCompletionTime(@Nullable OffsetDateTime completionTime)
    Set the completionTime of this `AiDeployment` instance.
    Parameters:
      `completionTime` - Timestamp of job status changed to COMPLETED/DEAD/STOPPED

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiDeployment`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiDeployment` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiDeployment` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiDeployment` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiDeployment.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AiDeployment` instance with all required arguments.